<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text" encoding="utf-8"/>

<!-- ======================================================== -->
<!-- Dokumenta sākums -->
<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<!-- Raksts -->
<xsl:template match="article">
	<xsl:text>\documentclass[a4paper,11pt]{article}&#x000A;</xsl:text>
	<xsl:text>\usepackage[utf8]{inputenc}&#x000A;</xsl:text>
	<xsl:text>\usepackage[LV]{fontenc}&#x000A;</xsl:text>
	<xsl:text>\usepackage[latvian]{babel}&#x000A;&#x000A;</xsl:text>

	<xsl:text>\begin{document}&#x000A;</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>\end{document}&#x000A;</xsl:text>
</xsl:template>

<!-- ======================================================== -->
<!-- Virsraksts -->
<xsl:template match="article/title">
	<xsl:text>\title{</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>}&#x000A;</xsl:text>
</xsl:template>

<xsl:template match="articleinfo">
	<xsl:apply-templates/>
	<xsl:text>\maketitle&#x000A;</xsl:text>
</xsl:template>

<xsl:template match="author">
	<xsl:text>\author{</xsl:text>
	<xsl:value-of select="firstname"/>
	<xsl:text> </xsl:text>
	<xsl:value-of select="surname"/>
	<xsl:text>}&#x000A;</xsl:text>
</xsl:template>

<!-- ======================================================== -->
<!-- Anotācija -->
<xsl:template match="abstract">
	<xsl:text>&#x000A;\begin{abstract}</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>&#x000A;\end{abstract}&#x000A;</xsl:text>
</xsl:template>

<!-- ======================================================== -->
<!-- Nodaļas un paragrāfi -->
<xsl:template match="section">
	<xsl:text>&#x000A;</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>&#x000A;</xsl:text>
</xsl:template>

<xsl:template match="section/title">
	<xsl:text>\section{</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>}&#x000A;</xsl:text>
</xsl:template>

<xsl:template match="para">
	<xsl:text>&#x000A;</xsl:text>
	<xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
